- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LinearConstraintCoefficients Class Reference

The in-memory representation of the <linearConstraintCoefficients> element. More...

`#include <OSInstance.h>`

Collaboration diagram for LinearConstraintCoefficients:

[legend]
List of all members.

## Public Member Functions
| LinearConstraintCoefficients ()
| The LinearConstraintCoefficients class constructor.
| ~LinearConstraintCoefficients ()
| The LinearConstraintCoefficients class destructor.
bool | IsEqual (LinearConstraintCoefficients *that)
| A function to check for the equality of two objects.
| LinearConstraintCoefficients ()
| The LinearConstraintCoefficients class constructor.
| ~LinearConstraintCoefficients ()
| The LinearConstraintCoefficients class destructor.
## Public Attributes
int | numberOfValues
| numberOfValues is the number of nonzero elements stored in the <linearConstraintCoefficients> element
IntVector * | start
| a pointer to the start of each row or column stored in sparse format
IntVector * | rowIdx
| a pointer of row indices if the problem is stored by column
IntVector * | colIdx
| a pointer of column indices if the problem is stored by row
DoubleVector * | value
| a pointer to the array of nonzero values being stored
int | iNumberOfStartElements
| iNumberOfStartElements counts the number of elements in the <start> section of <linearConstraintCoefficients> this is useful for the parser in checking consistency of the number of start elements with variables or rows
IntVector * | start
| a pointer to the start of each row or column stored in sparse format
IntVector * | rowIdx
| a pointer of row indices if the problem is stored by column
IntVector * | colIdx
| a pointer of column indices if the problem is stored by row
DoubleVector * | value
| a pointer to the array of nonzero values being stored

## Detailed Description

The in-memory representation of the <linearConstraintCoefficients> element.

Remarks:
  if a large part of the problem is linear, then store this is the standard sparse format, either by column or row. There are three arrays, an array of nonzero values, an array of either column or row indices and then a pointer to the start of each column or row.

Definition at line 315 of file OSInstance.h.

## Constructor & Destructor Documentation

LinearConstraintCoefficients::LinearConstraintCoefficients | ( |  | ) |

The LinearConstraintCoefficients class constructor.

Definition at line 571 of file OSInstance.cpp.

References colIdx, rowIdx, start, and value.

LinearConstraintCoefficients::~LinearConstraintCoefficients | ( |  | ) |

The LinearConstraintCoefficients class destructor.

Definition at line 586 of file OSInstance.cpp.

References colIdx, rowIdx, start, and value.

LinearConstraintCoefficients::LinearConstraintCoefficients | ( |  | ) |

The LinearConstraintCoefficients class constructor.

LinearConstraintCoefficients::~LinearConstraintCoefficients | ( |  | ) |

The LinearConstraintCoefficients class destructor.

## Member Function Documentation

bool LinearConstraintCoefficients::IsEqual | ( | LinearConstraintCoefficients * | that | ) |

A function to check for the equality of two objects.

Definition at line 5251 of file OSInstance.cpp.

References colIdx, numberOfValues, rowIdx, start, and value.

## Member Data Documentation

int LinearConstraintCoefficients::numberOfValues

numberOfValues is the number of nonzero elements stored in the <linearConstraintCoefficients> element

Definition at line 327 of file OSInstance.h.

Referenced by OSInstance::getLinearConstraintCoefficientNumber(), IsEqual(), main(), and OSInstance::setLinearConstraintCoefficients().

IntVector* LinearConstraintCoefficients::start

a pointer to the start of each row or column stored in sparse format

Definition at line 332 of file OSInstance.h.

Referenced by OSInstance::getSparseJacobianFromColumnMajor(), OSInstance::getSparseJacobianFromRowMajor(), IsEqual(), LinearConstraintCoefficients(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), ~LinearConstraintCoefficients(), OSmps2osil::~OSmps2osil(), and OSnl2osil::~OSnl2osil().

IntVector* LinearConstraintCoefficients::rowIdx

a pointer of row indices if the problem is stored by column

Definition at line 335 of file OSInstance.h.

Referenced by OSInstance::getSparseJacobianFromColumnMajor(), IsEqual(), LinearConstraintCoefficients(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), ~LinearConstraintCoefficients(), OSmps2osil::~OSmps2osil(), and OSnl2osil::~OSnl2osil().

IntVector* LinearConstraintCoefficients::colIdx

a pointer of column indices if the problem is stored by row

Definition at line 338 of file OSInstance.h.

Referenced by OSInstance::getSparseJacobianFromRowMajor(), IsEqual(), LinearConstraintCoefficients(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), ~LinearConstraintCoefficients(), and OSmps2osil::~OSmps2osil().

DoubleVector* LinearConstraintCoefficients::value

a pointer to the array of nonzero values being stored

Definition at line 341 of file OSInstance.h.

Referenced by OSInstance::getSparseJacobianFromColumnMajor(), OSInstance::getSparseJacobianFromRowMajor(), IsEqual(), LinearConstraintCoefficients(), main(), OSInstance::processLinearConstraintCoefficients(), OSInstance::setLinearConstraintCoefficients(), ~LinearConstraintCoefficients(), OSmps2osil::~OSmps2osil(), and OSnl2osil::~OSnl2osil().

int LinearConstraintCoefficients::iNumberOfStartElements

iNumberOfStartElements counts the number of elements in the <start> section of <linearConstraintCoefficients> this is useful for the parser in checking consistency of the number of start elements with variables or rows

This is useful for the parser in checking consistency of the number of start elements with variables or rows

Definition at line 348 of file OSInstance.h.

IntVector* LinearConstraintCoefficients::start

a pointer to the start of each row or column stored in sparse format

Definition at line 299 of file OSInstance.h.

IntVector* LinearConstraintCoefficients::rowIdx

a pointer of row indices if the problem is stored by column

Definition at line 302 of file OSInstance.h.

IntVector* LinearConstraintCoefficients::colIdx

a pointer of column indices if the problem is stored by row

Definition at line 305 of file OSInstance.h.

DoubleVector* LinearConstraintCoefficients::value

a pointer to the array of nonzero values being stored

Definition at line 308 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp